Subject: RE: True Static Linking
From: "Robert Collins" <[email-masked]>
To: "Westley Weimer" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 17 Apr 2002 15:08:58 +1000

> -----Original Message-----
> From: Westley Weimer [mailto:[email-masked]] 
> Sent: Wednesday, April 17, 2002 1:50 PM

> I am willing to have "hello.exe" be fairly large, but 
> shipping all of cygwin1.dll (700K) is not allowed. If this 
> were linux I would pull all of the .o files out of cygwin1.a 
> (or whatever) and link against a subset of them manually. I 
> have no idea how to do this under cygwin.

You can't under linux you would have to ship the vmlinuz file as well -
which is what cygwin1.dll is closest to in this environment.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/